data_trees = dlmread('trees.csv', ',', 1, 0);
radius_trees = data_trees(:,1);
height_trees = data_trees(:,2);

logradius_trees = log(radius_trees);
logheight_trees = log(height_trees);

hold all;
plot(logradius_trees, logheight_trees, 'xk');

E = 10 * 10^9; % kg/m^2
rho = 800; % kg/m^3
g = 9.8; % m/s^2

theory_intercept = log((pi*pi*E/(1*rho*g))^(1/3));
theory_slope = 2/3;
theory_xrange = log(linspace(min(radius_trees), max(radius_trees)));
theory_yrange = theory_intercept + theory_slope * theory_xrange;

plot(theory_xrange, theory_yrange, '-r');



[coef coef_confidence_intervals] = gmregress(logradius_trees, logheight_trees);

regression_xrange = log(linspace(min(radius_trees), max(radius_trees)));
regression_yrange = coef(1) + coef(2) * regression_xrange;


plot(regression_xrange, regression_yrange, '-b');


xlabel('Log(radius)');
ylabel('Log(height)');
legend('Social register of big trees','RMA regression','Elastic buckling limit');